Skip to main content
GET
/
v1
/
chats
List Chats
curl --request GET \
  --url https://api.sigmamind.ai/v1/chats \
  --header 'X-API-Key: <api-key>'
{
  "data": [
    {
      "chatId": "chat-d17T6uReChpyfFeP",
      "agent": {
        "name": "New AI Agent",
        "agentId": "D5D0p7TUs66TTAEAx",
        "status": "active"
      },
      "createdAt": "2021-04-20T10:00:00.000Z",
      "status": "ended",
      "transcript": "<string>",
      "response": [
        {
          "id": "chat-item-G9YdhDqua0EngI1G",
          "role": "assistant",
          "type": "message",
          "content": [
            "Hello! My name is Grace, and I'm calling on behalf of SigmaMind AI. Am I speaking with Michael?"
          ]
        }
      ],
      "messages": [
        {
          "id": "chat-item-G9YdhDqua0EngI1G",
          "role": "assistant",
          "type": "message",
          "content": [
            "Hello! My name is Grace, and I'm calling on behalf of SigmaMind AI. Am I speaking with Michael?"
          ]
        }
      ],
      "dynamicVariables": {
        "customer_name": "Michael"
      }
    }
  ],
  "page": 123,
  "size": 123,
  "totalCounts": 123,
  "totalPages": 123,
  "hasNext": true,
  "hasPrevious": true
}

Authorizations

X-API-Key
string
header
required

API Key is required in header. You can find it in the settings

Query Parameters

status
string
page
integer<int32>
default:0
size
integer<int32>
default:10

Response

OK

data
object[]
page
integer<int32>
size
integer<int32>
totalCounts
integer<int64>
totalPages
integer<int32>
hasNext
boolean
hasPrevious
boolean